Bug 1463504 - kernel oops in intel i915 driver - intel_dp_common_rates
kernel oops in intel i915 driver - intel_dp_common_rates
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 03:11 EDT by Stefan Assmann
Modified: 2017-12-12 05:34 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:34:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg.txt (83.73 KB, text/plain)
2017-06-21 03:11 EDT, Stefan Assmann
no flags Details

  None (edit)
Description Stefan Assmann 2017-06-21 03:11:47 EDT
Created attachment 1289959 [details]
dmesg.txt

Description of problem:
After locking the screen the display went to standby mode and would not wake up again.
The following was in the log
[386281.941185] BUG: unable to handle kernel NULL pointer dereference at 0000000000000056
[386281.941270] IP: intel_dp_common_rates+0x1b/0xe0 [i915]
[386281.941293] PGD 0·

[386281.941316] Oops: 0000 [#1] SMP
[386281.941332] Modules linked in: veth xt_CHECKSUM tun rfcomm fuse ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack overlay ip_set nfnetlink ebtable_broute bridge ebtable_nat ip6table_raw ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_raw iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep vfat fat arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iTCO_wdt iwlmvm iTCO_vendor_support mei_wdt uvcvideo kvm videobuf2_vmalloc snd_hda_codec_realtek snd_hda_codec_hdmi mac80211 snd_hda_codec_generic videobuf2_memops videobuf2_v4l2 videobuf2_core
[386281.941599]  btusb irqbypass snd_hda_intel btrtl btbcm intel_cstate videodev btintel intel_uncore snd_hda_codec intel_rapl_perf iwlwifi i2c_i801 media joydev bluetooth snd_hda_core snd_hwdep snd_seq snd_seq_deviceie31200_edac cfg80211 snd_pcm lpc_ich thinkpad_acpi snd_timer snd mei_me rfkill edac_core soundcore mei tpm_tis tpm_tis_core shpchp tpm nfsd binfmt_misc auth_rpcgss nfs_acl lockd grace dm_crypt 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel e1000e drm ghash_clmulni_intel sdhci_pci sdhci serio_raw mmc_core ptp pps_core wmi target_core_mod video sunrpc scsi_transport_iscsi
[386281.941823] CPU: 3 PID: 1988 Comm: gnome-shell Not tainted 4.11.4-200.fc25.x86_64 #1
[386281.941853] Hardware name: LENOVO 20EGS0R60P/20EGS0R60P, BIOS GNET73WW (2.21 ) 03/12/2015
[386281.941884] task: ffff94aa27232580 task.stack: ffffafab827d0000
[386281.941932] RIP: 0010:intel_dp_common_rates+0x1b/0xe0 [i915]
[386281.941956] RSP: 0018:ffffafab827d3be0 EFLAGS: 00010282
[386281.941979] RAX: 0000000000000000 RBX: ffff94aa21e02200 RCX: 0000000000000303
[386281.942007] RDX: 000000000000000c RSI: ffffafab827d3c20 RDI: 0000000000000000
[386281.942035] RBP: ffffafab827d3c10 R08: 000000000001ca80 R09: ffffffffc02bb317
[386281.942063] R10: fffff8e845e16000 R11: 0000000000000000 R12: 0000000000000000
[386281.942091] R13: 0000000000000058 R14: ffffafab827d3c20 R15: ffff94aa2263c000
[386281.942120] FS:  00007f633064eac0(0000) GS:ffff94aa3e2c0000(0000) knlGS:0000000000000000
[386281.942152] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[386281.942175] CR2: 0000000000000056 CR3: 000000046a0dd000 CR4: 00000000001426e0
[386281.942204] Call Trace:
[386281.942241]  intel_dp_max_link_rate+0x45/0x90 [i915]
[386281.942283]  intel_dp_mst_mode_valid+0x2a/0x90 [i915]
[386281.942310]  drm_helper_probe_single_connector_modes+0x480/0x550 [drm_kms_helper]
[386281.942353]  drm_mode_getconnector+0x31f/0x360 [drm]
[386281.942383]  ? drm_mode_object_unreference+0x49/0x80 [drm]
[386281.942414]  drm_ioctl+0x218/0x4b0 [drm]
[386281.942441]  ? drm_mode_connector_property_set_ioctl+0x60/0x60 [drm]
[386281.942481]  ? nfsd_cross_mnt+0x7/0x180 [nfsd]
[386281.942507]  do_vfs_ioctl+0xa3/0x5f0
[386281.942529]  ? __do_page_fault+0x266/0x4e0
[386281.942552]  SyS_ioctl+0x79/0x90
[386281.942572]  entry_SYSCALL_64_fastpath+0x1a/0xa9
[386281.942597] RIP: 0033:0x7f63252d76a7
[386281.942616] RSP: 002b:00007ffcc694eef8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[386281.942652] RAX: ffffffffffffffda RBX: 0000561ddb5eb7b0 RCX: 00007f63252d76a7
[386281.942685] RDX: 00007ffcc694ef30 RSI: 00000000c05064a7 RDI: 0000000000000008
[386281.944046] RBP: 00007f632559aae0 R08: 0000561ddb5eb7a0 R09: 0000561ddb5d7c00
[386281.945361] R10: 0000561ddb5ead20 R11: 0000000000000246 R12: 0000000000000002
[386281.946486] R13: 0000000000000003 R14: 0000000000000000 R15: 0000561ddb550830
[386281.947642] Code: c9 c3 0f 1f 40 00 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 55 48 89 e5 41 56 41 5541 54 53 49 89 f6 4c 8d 6f 58 48 83 ec 10 <0f> b6 5f 56 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 84 db·
[386281.950028] RIP: intel_dp_common_rates+0x1b/0xe0 [i915] RSP: ffffafab827d3be0
[386281.951182] CR2: 0000000000000056

Version-Release number of selected component (if applicable):
4.11.4-200.fc25.x86_64

How reproducible:
happened once

Steps to Reproduce:
1. lock screen so display goes to standby

Actual results:
kernel oops

Expected results:
no oops
Comment 1 Fedora End Of Life 2017-11-16 14:29:12 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:34:34 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.